<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="description" content="{{description}}">
    <title>Romereis Countdown</title>
    <style>
    @import url('https://toomuchram.net/fonts/helveticaneue.css');

    body {
        margin: auto;
        height: 100vh;
        display: flex;
        flex-direction: column;
        justify-content: center;
        background-color: black;
        font-family: 'HelveticaNeue Heavy', monospace;
        background-position: center; /* Center the image */
        background-repeat: no-repeat; /* Do not repeat the image */
        background-size: cover; /* Resize the background image to cover the entire container */
    }

    #countdown {
        text-align: center;
        font-size: 90px;
        margin-top: 0;
        color: white;
        text-shadow: 0 0 15px #000000;
        margin-bottom: 0;
    }
    #countdown span {
        color: #878787;
        font-size: 70px;
    }
    </style>
</head>
<body>
<p id="countdown"></p>
<!-- Compiled TypeScript -->
<script>
var CountdownBuilder = /** @class */ (function () {
    function CountdownBuilder(timeremaining) {
        this.timeremaining = timeremaining;
        this.timeRemaining = timeremaining;
    }
    CountdownBuilder.prototype.build = function () {
        var html = "";
        if (this.timeRemaining.weeks <= 9 && this.timeRemaining.weeks > 0) {
            html += "0";
        }
        if (this.timeRemaining.weeks > 0) {
            html += this.timeRemaining.weeks.toString();
            html += "<span>w</span> ";
        }
        if (this.timeRemaining.days <= 9) {
            html += "0";
        }
        html += this.timeRemaining.days.toString();
        html += "<span>d</span> ";
        if (this.timeRemaining.hours <= 9) {
            html += "0";
        }
        html += this.timeRemaining.hours.toString();
        html += "<span>u</span> ";
        if (this.timeRemaining.minutes <= 9) {
            html += "0";
        }
        html += this.timeRemaining.minutes.toString();
        html += "<span>m</span> ";
        if (this.timeRemaining.seconds <= 9) {
            html += "0";
        }
        html += this.timeRemaining.seconds.toString();
        html += "<span>s</span> ";
        return html;
    };
    return CountdownBuilder;
}());
function setStyleOptions(weeks) {
    if (weeks < 1) {
        document.querySelector("body").style.backgroundImage = "url('https://images.unsplash.com/photo-1529260830199-42c24126f198')";
        var spans = document.querySelectorAll("span");
        for (var i = 0; i < spans.length; i++) {
            spans[i].style.color = "#dddddd";
        }
    }
}
function calculateTimeRemaining(distance) {
    // Time calculations for days, hours, minutes and seconds
    var weeks = Math.floor((distance / (1000 * 60 * 60 * 24)) / 7);
    var days = Math.floor((distance / (1000 * 60 * 60 * 24)) % 7);
    var hours = Math.floor((distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
    var minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
    var seconds = Math.floor((distance % (1000 * 60)) / 1000);
    return {
        weeks: weeks,
        days: days,
        hours: hours,
        minutes: minutes,
        seconds: seconds
    };
}
function setNewTime() {
    // Get today's date and time
    var now = new Date().getTime();
    // Find the distance between now and the count down date
    var distance = countDownDate - now;
    var timeRemaining = calculateTimeRemaining(distance);
    if (distance < 0) {
        clearInterval(x);
        return;
    }
    document.getElementById("countdown").innerHTML = new CountdownBuilder(timeRemaining).build();
    setStyleOptions(timeRemaining.weeks);
}
// Set the date we're counting down to
var countDownDate = new Date("{{date}}").getTime();
//intervals are numbers apparently
var x;
window.onload = function () {
    setNewTime();
    // Update the count down every 1 second
    x = setInterval(setNewTime, 1000);
};
function isMobile() {
    var match = window.matchMedia;
    if (match) {
        var mq = match("(pointer:coarse)");
        return mq.matches;
    }
    return false;
}
</script>
</body>
</html>